From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-emacs/magit/
Date: Thu, 22 Oct 2015 05:42:01 +0000 (UTC) [thread overview]
Message-ID: <1445492515.67544db09045e37ef5f44a7e29f71869355cdce0.graaff@gentoo> (raw)
commit: 67544db09045e37ef5f44a7e29f71869355cdce0
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Thu Oct 22 05:41:03 2015 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Thu Oct 22 05:41:55 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=67544db0
app-emacs/magit: add 2.2.2
Drop x86 keyword due to new dependency on app-emacs/dash,
bug 563748.
Package-Manager: portage-2.2.20.1
app-emacs/magit/Manifest | 1 +
app-emacs/magit/magit-2.2.2.ebuild | 52 ++++++++++++++++++++++++++++++++++++++
2 files changed, 53 insertions(+)
diff --git a/app-emacs/magit/Manifest b/app-emacs/magit/Manifest
index 1e3dd27..a3f0242 100644
--- a/app-emacs/magit/Manifest
+++ b/app-emacs/magit/Manifest
@@ -1,2 +1,3 @@
DIST magit-1.2.0.tar.gz 163318 SHA256 ef535819b8ee32c53ad38efabc82028f62422f2629407d69ddc5970669dc1ba9 SHA512 3f673d38d9f73cdf653108184ed97c1d499492224be3925949ffadb3bb6900a9be664c773dae49da696c6e1daa8bbb70d7446a9f9d7f9a7f8714ca254ed02c3d WHIRLPOOL 0462ea59ae75c01992d6d7dd17783ab4c60c335c17e03a8791be0771caf54d6a546a84c0622f2c1d45d1231a8d2638fb936bff31c94aa08a10d2c98e5986e4a4
DIST magit-1.2.2.tar.gz 111245 SHA256 8ed300887909d0990cf17b1f4a3b902944db2471ca93dbf0202724b3f44e5d0c SHA512 c7817a5231485e593e8f7aab8c01db19f433ff9b77d6635c95eec6beabb45901f1dbd9d02fad718436f9e25516df14714e7ca1b05b53244e8465dcc14a8cee7a WHIRLPOOL 4b7116bf2568f786a859299ed8039bee32fda51322e29f7ddd139a9ee5e3f3a3caa9d245fffed3e6c28f11b0e068c398f424450275de94a4559a9812634639a0
+DIST magit-2.2.2.tar.gz 244326 SHA256 08e61898e23dbeb3a152d82e58fc9f6c769fe36d35d87617dcd1e69b2f91b3c6 SHA512 fcb8a27597988fd29b824be58b145f483a492a0d199e505478cf7cab09068a608e5e9d314abda7e8954712c2db3012ee578c8a5bbdfd79e909a8b9d1ef45e0d4 WHIRLPOOL f45d4bfe3942d4203918b8c5309b640efcb9204d7a05f74df746349d9a49ae40df34d744d91388db23e718fc7579e303ea0a704d7f30235efbf63b9da360082a
diff --git a/app-emacs/magit/magit-2.2.2.ebuild b/app-emacs/magit/magit-2.2.2.ebuild
new file mode 100644
index 0000000..6fc2267
--- /dev/null
+++ b/app-emacs/magit/magit-2.2.2.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit elisp
+
+DESCRIPTION="An Emacs mode for GIT"
+HOMEPAGE="http://magit.github.io/"
+SRC_URI="mirror://github/magit/magit/releases/download/${PV}/${P}.tar.gz"
+
+LICENSE="GPL-3+ FDL-1.2+"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="contrib"
+RESTRICT="test"
+
+SITEFILE="50${PN}-gentoo.el"
+
+CDEPEND=">=app-emacs/dash-2.12.0"
+
+DEPEND="${CDEPEND}"
+RDEPEND="${CDEPEND} >=dev-vcs/git-1.9.4"
+
+src_prepare() {
+ # Makefile expects this to be present at the current directory
+ ln -s lisp/magit-version.el magit-version.el || die
+}
+
+src_compile() {
+ # The upstream build system ignores errors during byte-compilation
+ # and happily installs broken files, causing errors at runtime.
+ # Call elisp-compile, in order to catch them here already.
+ pushd lisp || die
+ elisp-compile *.el
+ popd || die
+ emake docs
+ use contrib && emake contrib
+}
+
+src_install() {
+ elisp-install ${PN} lisp/*.{el,elc}
+ elisp-site-file-install "${FILESDIR}/${SITEFILE}"
+ doinfo Documentation/*.info
+ dodoc README.md
+
+ if use contrib; then
+ elisp-install ${PN} contrib/*.{el,elc}
+ dobin contrib/magit
+ fi
+}
next reply other threads:[~2015-10-22 5:42 UTC|newest]
Thread overview: 95+ messages / expand[flat|nested] mbox.gz Atom feed top
2015-10-22 5:42 Hans de Graaff [this message]
-- strict thread matches above, loose matches on Subject: below --
2015-10-22 5:42 [gentoo-commits] repo/gentoo:master commit in: app-emacs/magit/ Hans de Graaff
2015-10-22 6:48 Hans de Graaff
2015-10-26 18:23 Ulrich Müller
2015-10-27 8:30 Ulrich Müller
2015-11-16 6:41 Hans de Graaff
2015-12-25 16:29 Ulrich Müller
2016-01-25 14:05 Hans de Graaff
2016-02-02 6:25 Hans de Graaff
2016-02-03 5:56 Hans de Graaff
2016-03-29 19:57 Hans de Graaff
2016-03-29 19:57 Hans de Graaff
2016-04-08 10:03 Fabian Groffen
2016-04-18 5:31 Hans de Graaff
2016-05-16 13:42 Hans de Graaff
2016-05-16 13:42 Hans de Graaff
2016-05-21 15:37 Hans de Graaff
2016-08-22 5:58 Hans de Graaff
2016-12-07 7:04 Hans de Graaff
2017-01-10 7:58 Hans de Graaff
2017-01-28 16:26 Hans de Graaff
2017-02-06 15:08 Hans de Graaff
2017-02-07 11:28 Agostino Sarubbo
2017-02-15 6:19 Hans de Graaff
2017-03-09 6:57 Hans de Graaff
2017-07-01 12:11 Ulrich Müller
2017-07-01 12:11 Ulrich Müller
2017-09-14 5:24 Hans de Graaff
2017-12-09 8:02 Hans de Graaff
2018-04-02 6:44 Hans de Graaff
2018-04-06 19:44 Aaron Bauman
2018-04-12 19:07 Thomas Deutschmann
2018-06-03 5:35 Hans de Graaff
2018-06-03 5:35 Hans de Graaff
2018-06-07 10:13 Agostino Sarubbo
2018-11-09 7:24 Hans de Graaff
2018-11-25 7:31 Hans de Graaff
2019-02-02 7:55 Hans de Graaff
2019-02-07 10:59 Mikle Kolyada
2019-02-09 18:36 Thomas Deutschmann
2019-12-04 6:32 Hans de Graaff
2019-12-04 13:05 Agostino Sarubbo
2019-12-13 7:36 Agostino Sarubbo
2021-06-05 7:57 Hans de Graaff
2021-07-09 6:55 Hans de Graaff
2021-08-03 4:54 Hans de Graaff
2021-10-08 5:44 Hans de Graaff
2021-10-08 5:44 Hans de Graaff
2021-10-10 15:33 Agostino Sarubbo
2021-10-10 15:38 Agostino Sarubbo
2022-02-14 20:50 Sam James
2022-07-21 7:31 Ulrich Müller
2023-05-28 15:13 Maciej Barć
2023-07-08 0:10 Sam James
2023-07-08 0:10 Sam James
2023-07-10 7:41 Jakov Smolić
2023-07-15 14:39 Maciej Barć
2023-07-16 5:35 Ulrich Müller
2023-07-16 5:46 Ulrich Müller
2023-07-16 10:54 Ulrich Müller
2023-08-22 10:33 Sam James
2023-09-13 18:31 Maciej Barć
2023-09-13 18:31 Maciej Barć
2023-09-13 18:31 Maciej Barć
2023-09-15 12:25 Maciej Barć
2023-10-19 22:35 Sam James
2024-01-14 17:54 Arthur Zamarin
2024-05-19 23:32 Maciej Barć
2024-05-19 23:32 Maciej Barć
2024-05-19 23:32 Maciej Barć
2024-06-25 22:03 Sam James
2024-08-10 18:16 Maciej Barć
2024-08-10 18:16 Maciej Barć
2024-08-10 18:16 Maciej Barć
2024-09-11 23:59 Sam James
2024-09-13 20:57 Maciej Barć
2024-10-02 9:49 Maciej Barć
2024-10-07 17:24 Sam James
2024-11-24 11:02 Sam James
2024-11-27 22:10 Maciej Barć
2024-12-11 0:28 Maciej Barć
2024-12-13 20:00 Arthur Zamarin
2025-01-05 16:21 Maciej Barć
2025-01-05 16:21 Maciej Barć
2025-01-05 16:21 Maciej Barć
2025-01-22 17:34 Arthur Zamarin
2025-01-23 10:17 Maciej Barć
2025-02-05 11:27 Sam James
2025-02-06 12:26 Maciej Barć
2025-02-06 22:36 Maciej Barć
2025-02-07 17:50 Sam James
2025-02-07 17:50 Sam James
2025-02-07 17:50 Sam James
2025-03-15 18:13 Arthur Zamarin
2025-03-15 18:13 Arthur Zamarin
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1445492515.67544db09045e37ef5f44a7e29f71869355cdce0.graaff@gentoo \
--to=graaff@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox